## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://git.sr.ht/~rjarry/aerc
%global goipath         git.sr.ht/~rjarry/aerc
%global forgeurl        https://git.sr.ht/~rjarry/aerc
Version:                0.10.0
%global tag             0.10.0
%global repo            aerc
%global archivename     %{repo}-%{tag}
%global archiveext      tar.gz
%global archiveurl      %{forgeurl}/archive/%{tag}.%{archiveext}
%global topdir          %{archivename}
%global extractdir      %{archivename}
%global scm             git

%gometa

%global common_description %{expand:
Aerc is an email client that runs in your terminal. It's highly
efficient and extensible, perfect for the discerning hacker.}

%global golicenses      LICENSE
%global godocs          doc README.md

Name:           aerc
Release:        %autorelease
Summary:        Email client for your terminal

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# Disable building of aerc that we handle manually in the SPEC
Patch0:         aerc-fix-makefile.patch

BuildRequires:  scdoc
BuildRequires:  desktop-file-utils
BuildRequires:  gnupg
Requires:       notmuch

%description
%{common_description}

%prep
%goprep
%patch0 -p1

%generate_buildrequires
%go_generate_buildrequires

%build
export GOFLAGS=-tags=notmuch
export LDFLAGS="-X main.Prefix=%{_prefix} \
                -X main.ShareDir=%{_datadir}/aerc \
                -X main.Version=%{version} "
%gobuild -o %{gobuilddir}/bin/aerc %{goipath}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
export PREFIX=%{_prefix}
%make_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/aerc.desktop

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc doc README.md
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-*.1.*
%{_mandir}/man5/%{name}-*.5.*
%{_mandir}/man7/%{name}-*.7.*
%{_datadir}/aerc
%{_datadir}/applications/aerc.desktop

%changelog
* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 0.10.0-5
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.10.0-4
- Use auto buildrequires

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.10.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.10.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Tue May 10 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.10.0-1
- Update to 0.10.0 Close: rhbz#2056300

* Tue Jan 25 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.7.1-2
- Fix archive upload

* Tue Jan 25 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.7.1-1
- Update to 0.7.1 Close: rhbz#2040890

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 28 2021 Maxwell G <gotmax@e.email> 0.6.0-2
- Remove unnecessary %%commit macro

* Mon Dec 20 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.6.0-1
- Update to 0.6.0 Close: rhbz#2031335

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 20:29:04 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.2-2.20210615git1687e55
- Initial package

